Subject: Re: bug#15886: 24.3.50; Incorrect window-text-height with non-zero line-spacing

From: martin rudalics <[email-masked]>
Date: Thu, 14 Nov 2013 08:38:09 +0100

> Well, it's not my library, but the reason it fails (in my setup, where
 > I have line-spacing set to 2), is that it tries to set the height of
 > the minibuffer using 'set-window-text-height'

Could you please tell us more precisely what you are doing?  IIUC you
must have set `resize-mini-windows' to nil in order to be able to apply
`set-window-text-height' to the minibuffer window in the first place.
But setting `resize-mini-windows' to t here resizes the mini window
exactly to the height of the text it displays.  So what am I missing?

 > -- which, in my setup,
 > sets the height incorrectly (the bottom of the minibuffer is
 > obscured).

What is your value of `max-mini-window-height'?

martin